Core - Task # 56670

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL

Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have
Author: Benjamin Mack Category: Import/Export (T3D)
Created: 2014-03-08 Assigned To: Benjamin Mack
Updated: 2014-03-08 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Make Import/Export work with Package Manager

Description

When displaying the import/export backend module there are
warnings and an empty extension list, because the extension
selector does not use the API to fetch the extension list,

but does a raw $TYPO3_LOADED_EXT instead.

Related issues:
duplicated by Core - Task # 53122: Use package manager in impexp extension se... Closed 2013-10-25

Associated revisions

Revision 67755273 - 2014-03-08 13:30 - Benjamin Mack

[BUGFIX] Make Import/Export work with Package Manager

When displaying the import/export backend module
there are warnings and an empty extension list,
because the extension Selector does not use the
API to fetch the extension list, but does a raw
$TYPO3_LOADED_EXT instead.

Resolves: #56670

Releases: 6.2

Change-Id: 1851cc1f7e01acd9f743559a9400340364280ba7e
Reviewed-on: https:/review.typo3.org/28183

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2014-03-08 12:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28183
#2 - 2014-03-08 12:51 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28183

#3 - 2014-03-08 13:13 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28183

#4 - 2014-03-08 14:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6775527364998292c69772cfb46a26eb3b7560a8.
